Bug 216406 - XEN kernel uses shared graphics memory
XEN kernel uses shared graphics memory
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Eduardo Habkost
Virtualization Bugs
:
Depends On: 217715
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-20 04:53 EST by Rainer Koenig
Modified: 2009-12-14 15:37 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 18:44:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rainer Koenig 2006-11-20 04:53:21 EST
Description of problem:
System is installed Fedora Core 6 from DVD with XEN. The hardware platform is an
Intel iQ965 system with onboard graphics that uses shared memory. When you login
with gdm as root the desktop appears, but in the lower part of the desktop you
see "noise" that is also changing, so I imagine that the kernel is putting the
content of variables in the shared memory area that is used by the graphics
card. That causes the system to crash sooner or later, most of the times
immeadiately after the screen appears. 

Version-Release number of selected component (if applicable):
XEN Kernel is  2.6.18-1.2798.fc6xen SMP x86_64

How reproducible:
Easy. Most of the times it is reproducable on ever boot.

Steps to Reproduce:
1. Install FC6 with XEN Virtualization
2. Reboot
3. Login to root and see the system crash
  
Actual results:
"Noisy bitmaps" in the lower part of the graphcis screen.

Expected results:
Normal Gnome Desktop behaviour.

Additional info:
I've seen this behaviour on 2 different systems using the x86_64 version of FC6
and the hardware was always an iQ965 with 1 GB of RAM. 
The problem seems to occur only with the XEN kernel, I just installed again from
scratch without XEN virtualization and so far I didn't see the problem again.
Comment 2 Red Hat Bugzilla 2007-07-24 20:03:06 EDT
change QA contact
Comment 3 Chris Lalancette 2008-02-26 18:44:01 EST
This report targets FC6, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks

Note You need to log in before you can comment on or make changes to this bug.